import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:wyatt_clean_code/core/design_system/sizing.dart';
import 'package:wyatt_clean_code/core/extensions/build_context_extension.dart';
import 'package:wyatt_clean_code/core/extensions/num_extension.dart';
import 'package:wyatt_clean_code/gen/assets.gen.dart';
import 'package:wyatt_clean_code/presentation/features/counter/counter_page.dart';
import 'package:wyatt_clean_code/presentation/shared/layouts/app_default_scaffold.dart';

class InitialPage extends StatelessWidget {
  const InitialPage({super.key});

  static const String pageName = 'initial';

  @override
  Widget build(BuildContext context) => AppDefaultScaffold(
        title: const Text('Wyatt Demo'),
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Assets.images.wyattStudioLogo.image(width: 150.w),
              AppSizing.lGap,
              ElevatedButton(
                child: Text(context.l10n.goToCounter),
                onPressed: () => context.pushNamed(CounterPage.pageName),
              ),
            ],
          ),
        ),
      );
}
